To be honest, I was waiting for a move from Pat. But I got restless, Pat is otherwise occupied for a few days so I took the plunge.
What I am talking about is of course packaging KDE Gear 26.04.0 for Slackware. The latest release of Applications and KDEPIM is nicknamed the “KDE at 30″ edition because KDE is around for 30 years already (!). Congratulations are in order.
The reason I wanted to wait for Pat is that the new Kleopatra release (part of KDEPIM) requires a version of gpgme which is not present in Slackware-current. I had hoped to see an upgrade to gpgme 2.x in Slackware first, followed by a rebuild of affected packages, which according to avid Slackware user gmgf aka Gérard Monpontet is at least: gmime, gpa, libcups-filters, mccabber, mutt, poppler, samba, volume_key, wget2 and labplot. But that did not happen, and I wanted to have a stable ‘ktown’ which is fully ported to Qt6 before my 65th birthday next week.
Therefore I decided to trick Slackware by upgrading gpgme from 1.24.3 to 2.0.1 but not rebuilding all those other Slackware packages that depend on gpgme 1.24.3. Instead I added another package to ‘ktown’ called gpgme1 which contains all the libraries from the previous gpgme 1.24.3 package. Zero broken Slackware packages and I could finally move on with KDE Gear without having to wait for the upstream.
As you might have guessed after all these years – I hate to be dependent on others and like to have full control. So, move aside Pat 😉
Jokes aside, I hope that Pat picks up this completed work and adds it to Slackware-current soon.
As promised when I revived the ‘ktown’ repository for Plasma6, the addition of a legacy-free KDE Gear 26.04.0 marks the change for this repository from ‘testing’ to ‘latest’, as witnessed by the change in the package download URL: https://slackware.nl/alien-kde/current/latest/. The latest KDE Plasma6 Desktop Environment is absolutely ready for production use. It’s snappy, feature-complete and beautiful. I have been using the Wayland session ever since my first batch of packages and the quirks have by now been removed that annoyed me in the beginning. By now, okteta in ‘applications-extra’ is the only left-over of the old Qt5/KF5 era.
Formally kwayland-integration is also still built against Qt5 and the two old Frameworks kwayland5 and kwindowsystem5, but that’s required for the Plasma6 Wayland session to still support older 3rd-party Qt5 based applications).
The new release of packages is accompanied by an expansive README which will help you remove KDE Plasma5 from your Slackware-current computer and install the ‘ktown‘ version of KDE Plasma6 instead.
The origin host is of course https://slackware.nl/alien-kde/ (rsync://slackware.nl/mirrors/alien-kde/), but you could choose the alternative
mirror https://slackware.uk/people/alien-kde/ (rsync://slackware.uk/people/alien-kde/) which is faster for some people, but you may have to wait until it syncs against slackware.nl. Or if you live in the US, try https://us.slackware.nl/alien-kde/ (rsync://us.slackware.nl/mirrors/alien-kde/), this server has a lot of bandwidth available.
If you want to peek at the source code management, I track everything in a git repository. You will find the new 6_26.04 branch at: https://git.slackware.nl/ktown/
Have fun with KDE Plasma6 and please leave your feedback in the comments section below.
Cheers, Eric

Well done and congratulations 🙂
Certainly, another monumental contribution.
The entire Slack community rejoices.
Many thanks, Ms. Eric.
Installed, no problem so far, you may not have seen it, but Pat added ‘xsimd’ a current. 😉
Hi Eric. Upgraded, no issues so far. Thanks for the packages!
I concur with you, Plasma 6 is absolutely ready for production use and in fact I’m using it daily as my desktop at home and work. Let’s hope it’s added to Slackware soon.
Hi, thanks a lot for your great job. It works fine. I just revert konsole to 25.12.3 because 26.04.0 is very slow on my computer.
Have a nice day!
Check the Internet – there are many more mentions of sluggish behavior caused by all kinds of things from kernel to X11/Wayland and so on.
I run Plasma6 in Wayland and have not seen any level of regression.
Hi,
Since 26.04.1, konsole works fine again.
Thanks for your great job! 😉
Thanks as always, Eric. As others have mentioned, I’m using this daily for work on my T14 Ryzen 7, and I had no problems at all with your previous version. I’m installing this one right now.
I hope we can see this on -current pretty soon. Cheers from Málaga, and give my best to the orange clown! 😛
We laughed a lot at some of the collages at work while reading your AI documentation! 😀
Regards,
Hi Eric, just to let you know that I completely agree with what you say about the Wayland session, another thing, I have a current installation with your packages and as you know, other installations with my personal KDE plasma 6 packages, these are built with qt-6.11.0, and it doesn’t cause any problems.
Thank you!
Got KTOWN KDE 6 working. Great. One more thing… I’m looking for Discover but i could not in included in the packages. Especially for flatpak installs it is handy.
At the same time I’m following the discussion about age verification within KDE and flatpak.
I’m curious how that will evolve.
Grts and keep up the good work , F.P.
Indeed, Discover needs Flatpak to function and that is not part of Slackware.
I have an old version of Discover in my regular package repository that I actually should update at some point.
I replaced in the Discoverscipt version nr with most recent on, 6.6.4 . . That worked flawlessly. Nice to see a KDE app being build on the terminal.
Grts, F.P.
One package that probably ought to be added to KTown is QScintilla. The default version only provides bindings for Qt5, but it’s easy to build a single package that supports both Qt5 and Qt6 with the following diff to Pat’s SlackBuild:
“`
— a/QScintilla.SlackBuild 2026-05-05 20:54:21.344694765 -0400
+++ b/QScintilla.SlackBuild 2026-05-05 21:03:56.054691786 -0400
@@ -28,7 +28,7 @@
PKGNAM=QScintilla
SRCNAM=QScintilla_src
VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d – | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
NUMJOBS=${NUMJOBS:-” -j$(expr $(nproc) + 1) “}
@@ -87,13 +87,18 @@
# Define QMAKEFEATURES to that we can re-use already built libs
# without spamming the harddisk:
export QMAKEFEATURES=${PWD}/src/features/
+cp -a src src-qt6
cd src
-qmake-qt5
-make $NUMJOBS || exit 1
–
-cd ../designer
-qmake-qt5 INCLUDEPATH+=../src QMAKE_LIBDIR+=../src
-make $NUMJOBS || exit 1
+qmake-qt5 && make $NUMJOBS || exit 1
+cd ../src-qt6
+qmake6 && make $NUMJOBS || exit 1
+
+cd ..
+cp -a designer designer-qt6
+cd designer
+qmake-qt5 INCLUDEPATH+=../src QMAKE_LIBDIR+=../src && make $NUMJOBS || exit 1
+cd ../designer-qt6
+qmake6 INCLUDEPATH+=../src QMAKE_LIBDIR+=../src && make $NUMJOBS || exit 1
cd ../Python
mv pyproject-qt5.toml pyproject.toml
@@ -102,17 +107,27 @@
–qsci-features-dir ../src/features \
–qsci-include-dir ../src \
–qsci-library-dir ../src \
+ –build-dir build-qt5 \
–api-dir /usr/share/qt5/qsci/api/python || exit 1
-cd build
+cd build-qt5
+make $NUMJOBS || exit 1
+
+cd ..
+sip-build \
+ –no-make \
+ –qsci-features-dir ../src/features \
+ –qsci-include-dir ../src \
+ –qsci-library-dir ../src \
+ –build-dir build-qt6 \
+ –api-dir /usr/share/qt6/qsci/api/python || exit 1
+cd build-qt6
make $NUMJOBS || exit 1
# Install:
-cd ../../src
-make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
-cd ../designer
-make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
-cd ../Python/build
-make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
+for dir in ../../src ../src-qt6 ../designer ../designer-qt6 ../Python/build-qt5 ../Python/build-qt6 ; do
+ cd $dir
+ make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
+done
cd ../..
find $PKG | xargs file | grep -e “executable” -e “shared object” \
“`
Tested by building a Qt6 version of QGIS 3.44 from SBo.
You would have to ask Pat to build Qt6 support into QScintilla, it is not KDE or ktown related. There is a dedicated thread on linuxquestions.org for feature requests towards slackware-current.
Qgis and Octave are the only pieces of software that would need this, and both are not part of Slackware.
I seem to have a number of (non-Slackware) packages that depend on it, including KiCad and CodeLite in addition to Octave and QGIS, and it looks like wxWidgets can pull it in as an optional dependency. Anyway, it’s certainly not required to just run a Plasma 6 desktop, but if you are running KDE 6 and build software that uses QScintilla, you’re probably going to want to use qmake6, which won’t work with Slackware’s standard QScintilla package. I’m confident that Pat will upgrade his QScintilla when/if he moves to KDE 6, but until then, KTown users will run into this very slight snag when building external software. And I would imagine that the number of users who choose to run Slackware (so we know they aren’t dependent on a large package ecosystem such as those offered by Ubuntu, Fedora, or Arch), and then choose to run KTown on top of Slackware (so we know this probably isn’t a headless server, and they don’t mind stepping outside the “officially supported” channels), but don’t regularly compile their own additional software, is very small. Anyway, I hope the SlackBuild patch might be useful to others.
Great news!
Mot related to the KDE-6, but anyway – is there some knowledge about the future fate of X.org/XLibre on Slackware? I am no fun of Wayland due to its inability to support isolated (virtual) X sessions over VNC. Sorry if I explained myself technically incorrect way.
There is no Slackware related discussion about X11 versus XLibre.